Index: trunk/SophyaLib/SysTools/Makefile
===================================================================
--- trunk/SophyaLib/SysTools/Makefile	(revision 2763)
+++ trunk/SophyaLib/SysTools/Makefile	(revision 2765)
@@ -11,14 +11,12 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc \
-  $(SOPHYAINCP)sopnamsp.h cexpre.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
  
 $(SOPHYAOBJP)commander.o: commander.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  commander.h \
+  $(SOPHYAINCP)sopnamsp.h commander.h \
   $(SOPHYAINCP)machdefs.h pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -33,62 +31,50 @@
   $(SOPHYAINCP)mutyv.h ctimer.h \
   $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)strutilxx.h \
-  cexpre.h rpneval.h \
-  $(SOPHYAINCP)srandgen.h \
-  zthread.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)strutilxx.h cexpre.h rpneval.h \
+  $(SOPHYAINCP)srandgen.h zthread.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h ctimer.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
 $(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  cxxcmplnk.h \
+  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
-	$(CXXCOMPILELIB) -o $@ $<
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)sopnamsp.h \
+  pdlmgr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
 $(SOPHYAOBJP)periodic.o: periodic.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  periodic.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h periodic.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
 $(SOPHYAOBJP)psighand.o: psighand.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  psighand.h \
+  $(SOPHYAINCP)sopnamsp.h psighand.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
 $(SOPHYAOBJP)resusage.o: resusage.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  resusage.h \
+  $(SOPHYAINCP)sopnamsp.h resusage.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  rpneval.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  zthread.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h \
+  zthread.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  zthread.cc
  
 $(SOPHYAOBJP)timing.o: timing.c timing.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  timing.c
  
Index: trunk/SophyaLib/SysTools/smakefile
===================================================================
--- trunk/SophyaLib/SysTools/smakefile	(revision 2763)
+++ trunk/SophyaLib/SysTools/smakefile	(revision 2765)
@@ -11,14 +11,12 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc \
-  $(SOPHYAINCP)sopnamsp.h cexpre.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
  
 $(SOPHYAOBJP)commander.o: commander.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  commander.h \
+  $(SOPHYAINCP)sopnamsp.h commander.h \
   $(SOPHYAINCP)machdefs.h pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -33,62 +31,50 @@
   $(SOPHYAINCP)mutyv.h ctimer.h \
   $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)strutilxx.h \
-  cexpre.h rpneval.h \
-  $(SOPHYAINCP)srandgen.h \
-  zthread.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)strutilxx.h cexpre.h rpneval.h \
+  $(SOPHYAINCP)srandgen.h zthread.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h ctimer.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
 $(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  cxxcmplnk.h \
+  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
-	$(CXXCOMPILELIB) -o $@ $<
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)sopnamsp.h \
+  pdlmgr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
 $(SOPHYAOBJP)periodic.o: periodic.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  periodic.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h periodic.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
 $(SOPHYAOBJP)psighand.o: psighand.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  psighand.h \
+  $(SOPHYAINCP)sopnamsp.h psighand.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
 $(SOPHYAOBJP)resusage.o: resusage.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  resusage.h \
+  $(SOPHYAINCP)sopnamsp.h resusage.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  rpneval.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  zthread.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h \
+  zthread.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  zthread.cc
  
 $(SOPHYAOBJP)timing.o: timing.c timing.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  timing.c
  
